Bug 408051 - Xdrawchem not starting
Xdrawchem not starting
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xdrawchem (Show other bugs)
7
i586 Linux
low Severity urgent
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-02 15:07 EST by Schtroumpf grognon
Modified: 2008-05-20 07:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-20 07:05:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Schtroumpf grognon 2007-12-02 15:07:25 EST
Description of problem:
I intalled the rpm package Xdrawchem but when I try to start the software,
nothing happens. When I start it from console I get the following:
[nysten@LTnysten2 ~]$ xdrawchem
*** stack smashing detected ***: xdrawchem terminated
Abandon
[nysten@LTnysten2 ~]$

Version-Release number of selected component (if applicable):
xdrawchem-1.9.9-5.fc7.src.rpm

How reproducible:
Happens everytime

Steps to Reproduce:
1. Try to start Xdrwchem
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dominik 'Rathann' Mierzejewski 2007-12-02 18:41:38 EST
Confirmed. Looks like a bug in openbabel. Investigating.
Comment 2 Dominik 'Rathann' Mierzejewski 2008-02-02 15:25:39 EST
Still no clue why it crashes, but it doesn't crash on F-8. It's been reported in
xdrawchem's sourceforge tracker as well:
http://sourceforge.net/tracker/index.php?func=detail&aid=1763191&group_id=34518&atid=411559
I've added my gdb backtrace there. Hopefully someone there can help.

Comment 3 Dominik 'Rathann' Mierzejewski 2008-02-02 15:27:35 EST
(In reply to comment #1)
> Confirmed. Looks like a bug in openbabel. Investigating.

I'm not sure if this really is a bug in openbabel, so I've reassigned this back
to xdrawchem. Updating openbabel to 2.1.1 didn't help, either (and I can't push
the update because it won't build on ppc64).
Comment 4 Bug Zapper 2008-05-14 11:07:47 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Dominik 'Rathann' Mierzejewski 2008-05-20 07:05:16 EDT
Looks like I won't be able to fix it before F-7 EOL. Sorry.

Note You need to log in before you can comment on or make changes to this bug.